Dataflow API

Manages Google Cloud Dataflow projects on Google Cloud Platform.

Service: dataflow.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Discovery document

A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://dataflow.googleapis.com

Regional service endpoint

A regional service endpoint is a base URL that specifies the network address of an API service in a single region. A service that is available in multiple regions might have multiple regional endpoints. Select a location to see its regional service endpoint for this service.


  • https://dataflow.googleapis.com
  • REST Resource: v1b3.projects.jobs

    Methods
    aggregated GET /v1b3/projects/{projectId}/jobs:aggregated
    List the jobs of a project across all regions.
    create POST /v1b3/projects/{projectId}/jobs
    Creates a Dataflow job.
    get GET /v1b3/projects/{projectId}/jobs/{jobId}
    Gets the state of the specified Cloud Dataflow job.
    getMetrics GET /v1b3/projects/{projectId}/jobs/{jobId}/metrics
    Request the job status.
    list GET /v1b3/projects/{projectId}/jobs
    List the jobs of a project.
    snapshot POST /v1b3/projects/{projectId}/jobs/{jobId}:snapshot
    Snapshot the state of a streaming job.
    update PUT /v1b3/projects/{projectId}/jobs/{jobId}
    Updates the state of an existing Cloud Dataflow job.

    REST Resource: v1b3.projects.jobs.messages

    Methods
    list GET /v1b3/projects/{projectId}/jobs/{jobId}/messages
    Request the job status.

    REST Resource: v1b3.projects.locations.flexTemplates

    Methods
    launch POST /v1b3/projects/{projectId}/locations/{location}/flexTemplates:launch
    Launch a job with a FlexTemplate.

    REST Resource: v1b3.projects.locations.jobs

    Methods
    create POST /v1b3/projects/{projectId}/locations/{location}/jobs
    Creates a Dataflow job.
    get GET /v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}
    Gets the state of the specified Cloud Dataflow job.
    getExecutionDetails GET /v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/executionDetails
    Request detailed information about the execution status of the job.
    getMetrics GET /v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/metrics
    Request the job status.
    list GET /v1b3/projects/{projectId}/locations/{location}/jobs
    List the jobs of a project.
    snapshot POST /v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}:snapshot
    Snapshot the state of a streaming job.
    update PUT /v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}
    Updates the state of an existing Cloud Dataflow job.

    REST Resource: v1b3.projects.locations.jobs.messages

    Methods
    list GET /v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/messages
    Request the job status.

    REST Resource: v1b3.projects.locations.jobs.stages

    Methods
    getExecutionDetails GET /v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/stages/{stageId}/executionDetails
    Request detailed information about the execution status of a stage of the job.

    REST Resource: v1b3.projects.locations.templates

    Methods
    create POST /v1b3/projects/{projectId}/locations/{location}/templates
    Creates a Cloud Dataflow job from a template.
    get GET /v1b3/projects/{projectId}/locations/{location}/templates:get
    Get the template associated with a template.
    launch POST /v1b3/projects/{projectId}/locations/{location}/templates:launch
    Launches a template.

    REST Resource: v1b3.projects.templates

    Methods
    create POST /v1b3/projects/{projectId}/templates
    Creates a Cloud Dataflow job from a template.
    get GET /v1b3/projects/{projectId}/templates:get
    Get the template associated with a template.
    launch POST /v1b3/projects/{projectId}/templates:launch
    Launches a template.